<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>ImageClusterStyle (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ImageClusterStyle (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ImageClusterStyle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/cluster/ClusterViewObject.html" title="class in com.here.android.mpa.cluster"><span class="typeNameLink">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/cluster/ImageClusterStyle.html" target="_top">Frames</a></li>
<li><a href="ImageClusterStyle.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.cluster.ClusterStyle">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.cluster</div>
<h2 title="Class ImageClusterStyle" class="title">Class ImageClusterStyle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/cluster/ClusterStyle.html" title="class in com.here.android.mpa.cluster">com.here.android.mpa.cluster.ClusterStyle</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.cluster.ImageClusterStyle</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ImageClusterStyle</span>
extends <a href="../../../../../com/here/android/mpa/cluster/ClusterStyle.html" title="class in com.here.android.mpa.cluster">ClusterStyle</a></pre>
<div class="block">An implementation of a cluster style that uses an <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common"><code>Image</code></a>
 as the cluster icon.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/cluster/ClusterTheme.html" title="class in com.here.android.mpa.cluster"><code>ClusterTheme</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.here.android.mpa.cluster.ClusterStyle">
<!--   -->
</a>
<h3>Fields inherited from class com.here.android.mpa.cluster.<a href="../../../../../com/here/android/mpa/cluster/ClusterStyle.html" title="class in com.here.android.mpa.cluster">ClusterStyle</a></h3>
<code><a href="../../../../../com/here/android/mpa/cluster/ClusterStyle.html#m_pimpl">m_pimpl</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/cluster/ImageClusterStyle.html#ImageClusterStyle-com.here.android.mpa.common.Image-">ImageClusterStyle</a></span>(<a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> image)</code>
<div class="block">Creates an image cluster style using the given <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common"><code>Image</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/cluster/ImageClusterStyle.html#ImageClusterStyle-int-">ImageClusterStyle</a></span>(int resId)</code>
<div class="block">Creates an image cluster style from the given Android drawable resource.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/cluster/ImageClusterStyle.html#toString--">toString</a></span>()</code> </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ImageClusterStyle-com.here.android.mpa.common.Image-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ImageClusterStyle</h4>
<pre>public ImageClusterStyle(<a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> image)</pre>
<div class="block">Creates an image cluster style using the given <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common"><code>Image</code></a></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>image</code> - the image to be used to draw the cluster icon</dd>
</dl>
</li>
</ul>
<a name="ImageClusterStyle-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ImageClusterStyle</h4>
<pre>public ImageClusterStyle(int resId)</pre>
<div class="block">Creates an image cluster style from the given Android drawable resource.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resId</code> - drawable resource to create the style from</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public java.lang.String toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ImageClusterStyle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/cluster/ClusterViewObject.html" title="class in com.here.android.mpa.cluster"><span class="typeNameLink">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/cluster/ImageClusterStyle.html" target="_top">Frames</a></li>
<li><a href="ImageClusterStyle.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.cluster.ClusterStyle">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
